Bug 1100949 - gtk-recordMyDesktop: should require xwininfo
gtk-recordMyDesktop: should require xwininfo
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Matthias Mailänder
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-11 21:54 UTC by Luiz Angelo Daros de Luca
Modified: 2020-06-05 17:43 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2018-07-11 21:54:19 UTC
gtk-recordMyDesktop-0.3.8-9.8.x86_64 uses xwininfo to select the window to capture. However, this package is not required by gtk-recordMyDesktop.

The result, when I click on "select window"

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 223, in __select_window__
    (stdin,stdout,stderr)=os.popen3(xwininfo_com,'t')
  File "/usr/lib64/python2.7/os.py", line 693, in popen3
    stderr=PIPE, close_fds=True)
  File "/usr/lib64/python2.7/subprocess.py", line 394, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1047, in _execute_child
    raise child_exception
OSError: [Errno 2] Arquivo ou diretório não encontrado
/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py:215: GtkWarning: IA__gdk_image_put_pixel: assertion 'x >= 0 && x < image->width' failed
  img.put_pixel((vals[0]+vals[2]-1-k)/factor,i,0xff0000)

Please, add this dependency to gtk-recordMyDesktop
Comment 1 Matthias Mailänder 2019-01-24 16:35:55 UTC
Thanks for the report. Did it in https://build.opensuse.org/request/show/668400
Comment 2 Matthias Mailänder 2020-06-05 17:43:36 UTC
Fixed ages ago https://build.opensuse.org/request/show/680800